// this function is used to validate that the email the user used is valid as this will be our only method of contact with them after the submit the form
// Note: this function will be used more in the next unit as we implement the ability for the user to actuall send an email to us after they finish filling out the form
function validateEmail(theForm) {
    // use regex to validate that the email contains an @ symbol followed by the domain used for the email
    if (theForm.email.value.match(/^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/)) {
        sendEmail(theForm.request.value, theForm.message.value, theForm.email.value)
        return (true)
    }
    // if the email is invalid, display an alert and return false
    alert("Invalid e-mail address, please enter a valid email");
    return (false);
}

function sendEmail(subject, body, email) {

    // main email to us
    msg = {
        "personalizations": [
            {
                "to": [{ "email": "outreach@artificialsilicon.com", }],
                "subject": subject
            }
        ],
        "content": [
            {
                "type": "text/plain",
                "value": body
            }
        ],
        "from": {
            "email": "outreach@artificialsilicon.com",
            "name": "Artificial Silicon Inc."
        }
    }
    fetch("https://api.sendgrid.com/v3/mail/send", {
        method: "POST",
        headers: {
            'Authorization': 'Bearer ' + process.env.SENDGRID_API_KEY,
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(msg)
    }).then(res => {
        console.log('Email sent', res);
    });


    // confirmation email to user
    msg = {
        "personalizations": [
            {
                "to": [{ "email": email, }],
                "subject": "Confirmation: " + subject
            }
        ],
        "content": [
            {
                "type": "text/plain",
                "value": "We have recieved your message and will reach out to you within 5 business days.\nYour Message:" + body
            }
        ],
        "from": {
            "email": "outreach@artificialsilicon.com",
            "name": "Artificial Silicon Inc."
        }
    }
    fetch("https://api.sendgrid.com/v3/mail/send", {
        method: "POST",
        headers: {
            'Authorization': 'Bearer ' + process.env.SENDGRID_API_KEY,
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(msg)
    }).then(res => {
        console.log('Email sent', res);
    });

}